Foreman - Bug #12978

foreman-debug -m 0 to collect all files
01/04/2016 07:55 AM - Pavel Moravec

Status: Closed
Priority: Normal
Assignee: Pavel Moravec
Category: foreman-debug
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1295419 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3021
Description

Description of problem:
foreman-debug should have an option to collect all logs. It already has option -m to limit number of lines per file collected, but -m0
means files are emtpy ("tail -n0" is called).

Please fix -m 0 to collect whole file, not its zero-length tail.

Version-Release number of selected component (if applicable):
foreman-debug-1.7.2.49-1.el7sat.noarch

How reproducible:
100%

Steps to Reproduce:

1. foreman-debug m-0

2-unpack-the-generated-archive
3-we-foreman-debug”/var/log/katello-installer/katello-installer.log

Actual results:
3. shows empty logfile collected

Expected results:
the collected log file should be the same like original

Additional info:

Associated revisions

Revision 51f005e1 - 01/07/2016 03:15 AM - Pavel Moravec

Fixes #12978 - foreman-debug -m 0 to collect all files
For -m 0, call "cat" instead of "tail -n SMAXLINES"

Signed-off-by: Pavel Moravec <pmoravec@redhat.com>

History

#1 - 01/04/2016 08:04 AM - Dominic Cleal

- Category set to foreman-debug

#2 - 01/04/2016 08:19 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3021 added

#3 - 01/07/2016 04:02 AM - Pavel Moravec
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 51f005e139c09fdd37273ac408dc21a176431cda.

#4 - 01/07/2016 04:11 AM - Dominic Cleal
- Assignee set to Pavel Moravec

- translation missing: en.field_release set to 71
